// third-party
import { FormattedMessage } from "react-intl";

// assets
import { ChromeOutlined, QuestionOutlined, DeploymentUnitOutlined } from "@ant-design/icons";

// type
import { NavItemType } from "@/types/menu";

// icons
const icons = {
  ChromeOutlined,
  QuestionOutlined,
  DeploymentUnitOutlined
};

// ==============================|| MENU ITEMS - SUPPORT ||============================== //

const other: NavItemType = {
  id: "other",
  title: <FormattedMessage id="others" />,
  type: "group",
  children: [
    {
      id: "sample-page",
      title: <FormattedMessage id="sample-page" />,
      type: "item",
      url: "/sample-page",
      icon: icons.ChromeOutlined
    },
    {
      id: "documentation",
      title: <FormattedMessage id="documentation" />,
      type: "item",
      url: "https://codedthemes.gitbook.io/mantis/",
      icon: icons.QuestionOutlined,
      external: true,
      target: true,
      chip: {
        label: "gitbook",
        color: "secondary",
        size: "small"
      }
    },
    {
      id: "roadmap",
      title: <FormattedMessage id="roadmap" />,
      type: "item",
      url: "https://codedthemes.gitbook.io/mantis/roadmap",
      icon: icons.DeploymentUnitOutlined,
      external: true,
      target: true
    }
  ]
};

export default other;
